---
title: Retrieve a transfer
url: https://developers.wpengine.com/docs/managed-hosting-platform/api/reference/operations/getsitetransfer/
image: https://developers.wpengine.com/og/docs/managed-hosting-platform/api/reference/operations/getsitetransfer.png
---

# Retrieve a transfer

GET

/sites/{site_id}/site_transfers/{transfer_id}

Select code sample

```sh
curl --request GET \
  --url https://api.wpengineapi.com/v1/sites/a1b2c3d4-e5f6-41b2-b3d4-e5f6a1b2c3d4/site_transfers/7c3e1a2b-4f5d-4e6c-b7a8-d9e0f1a2b3c4 \
  --header 'Authorization: Basic <credentials>'
```

-

Returns the site transfer with the given ID for the specified site.

## Limitations & Warnings

- `site` and `installs` show names as they were at the time of transfer.

## Authorizations

- **[basicAuth](https://developers.wpengine.com/docs/managed-hosting-platform/api/reference/#basicauth)**

## Parameters

### Path Parameters

**site_id**

required

string format: uuid

ID of the site

#### Example

```
a1b2c3d4-e5f6-41b2-b3d4-e5f6a1b2c3d4
```

**transfer_id**

required

string format: uuid

ID of the site transfer

#### Example

```
7c3e1a2b-4f5d-4e6c-b7a8-d9e0f1a2b3c4
```

## Responses

### 200

Returns a `SiteTransfer` object.

Media typeapplication/json

object

**id**

required

Unique identifier for the site transfer

string format: uuid

**site**

required

Name of the site being transferred (as it was at time of transfer)

string

**installs**

required

Names of the installs associated with the site at time of transfer

Array\<string>

**origin_account**

required

Name of the account the site is transferring from

string

**destination_account**

required

Name of the account the site is transferring to

string

**status**

required

Current status of the transfer

string

Allowed values: pending scheduled in_progress completed failed cancelled

**scheduled_time**

The time at which the transfer is scheduled to execute. Null for immediate transfers.

string format: date-time

nullable

**created_at**

required

Timestamp when the transfer was created

string format: date-time

**updated_at**

required

Timestamp when the transfer was last updated

string format: date-time

#### Example

```json
{
  "id": "7c3e1a2b-4f5d-4e6c-b7a8-d9e0f1a2b3c4",
  "site": "my-wordpress-site",
  "installs": [
    "mysite",
    "mysitestg"
  ],
  "origin_account": "Acme Corp",
  "destination_account": "New Owner Inc",
  "status": "pending",
  "scheduled_time": "2026-06-01T14:30:00Z",
  "created_at": "2026-05-15T10:00:00Z",
  "updated_at": "2026-05-15T10:05:00Z"
}
```

### 401

Authentication Error

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

#### Example

```json
{
  "message": "Bad Credentials"
}
```

### 403

Not authorized

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

#### Example

```json
{
  "message": "You don't have permission to perform that action"
}
```

### 404

Not found

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

#### Example

```json
{
  "message": "Not Found"
}
```

### 429

Too many requests

### 500

Internal Server Error

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

#### Example

```json
{
  "message": "An unexpected error occurred, please try again in a few minutes"
}
```

### 503

Service unavailable

## Was this helpful?

Thanks for the feedback!

```json
{"@context":"https://schema.org","@graph":[{"@type":"WebSite","@id":"https://developers.wpengine.com/#website","name":"WP Engine Product Documentation","url":"https://developers.wpengine.com/","description":"Resources for developing, deploying, and scaling on WP Engine.","inLanguage":"en-US","keywords":["API documentation","product documentation","headless WordPress","managed WordPress hosting"],"publisher":{"@id":"https://wpengine.com/#organization"}}]}
```
